  Pixmap DisplayYearlyView_Pixmap;
  Widget DisplayYearlyView_DA;

void DrawYearCalendar();
{
  Pixel FG;
  int lcv = 0;
  int Month = 0;
  Dimension Height = 0;
  Dimension Width = 0;
  int w2,h2;
  GC GraphicContext;
  XGCValues GraphicContextValues;
  
  
  GraphicContextValues.foreground = BlackPixelOfScreen(XtScreen(DisplayYearlyView_DA));
  GraphicContextValues.background = WhitePixelOfScreen(XtScreen(DisplayYearlyView_DA));
  GraphicContext = XCreateGC(XtDisplay(DisplayYearlyView_DA), 
			     RootWindowOfScreen(XtScreen(DisplayYearlyView_DA)),
			     GCForeground|GCBackground,&GraphicContextValues);
  XtVaSetValues(DisplayYearlyView_DA,
		XmNuserData,GraphicContext,
		NULL,0);
  
  XtVaGetValues(DisplayYearlyView_DA,
		XmNwidth, &Width,
		XmNheight, &Height,
		NULL,0);
  
  DisplayYearlyView_Pixmap = XCreatePixmap(XtDisplay(DisplayYearlyView_DA),
					   XtWindow(DisplayYearlyView_DA),
					   Width,
					   Height,
					   DefaultDepthOfScreen(XtScreen(DisplayYearlyView_DA)));


  
  FG = GraphicContextValues.foreground;
  XSetForeground(XtDisplay(DisplayYearlyView_DA),GraphicContext,GraphicContextValues.background);
  XSetFillStyle(XtDisplay(DisplayYearlyView_DA),GraphicContext,FillSolid);
  XFillRectangle(XtDisplay(DisplayYearlyView_DA),DisplayYearlyView_Pixmap,
		 GraphicContext,0,0,Width,Height);
  XSetForeground(XtDisplay(DisplayYearlyView_DA),GraphicContext,FG);
  
  fprintf(stderr,"Yearly View Drawing %dx%d\n",Width,Height);
  for (lcv= 1; lcv != 4; lcv++)
    {
      w2 = Width/4;
      h2 = Height/4;
      fprintf(stderr,"%dx%d %d %d\n",Width,Height,w2,h2);
      XDrawLine(XtDisplay(DisplayYearlyView_DA),DisplayYearlyView_Pixmap,GraphicContext,
		w2*lcv,0,w2*lcv,Height);
      XDrawLine(XtDisplay(DisplayYearlyView_DA),DisplayYearlyView_Pixmap,GraphicContext,
		0,h2*lcv,Width,h2*lcv);
      XFlush(XtDisplay(DisplayYearlyView_DA));
    }
  XSetWindowBackgroundPixmap(XtDisplay(DisplayYearlyView_DA),
			     XtWindow(DisplayYearlyView_DA),
			     DisplayYearlyView_Pixmap);
}


void DisplayYearlyView_Close(Widget   w,
			     Widget   PopupWidget, 
			     XmAnyCallbackStruct *call_value)
{
  XtUnrealizeWidget(PopupWidget); 
}

void DisplayYearlyView()
{

  Widget DisplayYearlyView_Popup;
  Widget DisplayYearlyView_Frame;
  Widget DisplayYearlyView_Form;
  Widget DisplayYearlyView_Label;
  Widget DisplayYearlyView_Separator;
  Widget DisplayYearlyViewClose_Button;
  XmString LabelString;

  fprintf(stderr,"Yearly View Widget Creation\n");

  DisplayYearlyView_Popup = XtVaAppCreateShell("DisplayYearlyView_Popup",
					       "DisplayYearlyView_Popup",
					       applicationShellWidgetClass,
					       XtDisplay(W_TopLevel),
					       XmNtitle, "YearlyView",
					       XmNgeometry, "500x500",
					       NULL,0); 
  
  DisplayYearlyView_Frame = XtVaCreateManagedWidget("DisplayYearlyView_Frame",
						    xmFrameWidgetClass, 
						    DisplayYearlyView_Popup,
						    NULL,0);
  
  DisplayYearlyView_Form = XtVaCreateManagedWidget("DisplayYearlyView_Form",
						   xmFormWidgetClass, 
						   DisplayYearlyView_Frame,
						   NULL,0);
  
  LabelString = XmStringCreate("Yearly View", XmSTRING_DEFAULT_CHARSET),
  DisplayYearlyView_Label = XtVaCreateManagedWidget("DisplayYearlyView_Label",
						    xmLabelWidgetClass, 
						    DisplayYearlyView_Form,
						    XmNlabelString, LabelString,
						    XmNleftAttachment, XmATTACH_FORM,
						    XmNleftOffset, 10,
						    XmNrightAttachment, XmATTACH_FORM,
						    XmNrightOffset, 10,
						    XmNtopAttachment, XmATTACH_POSITION,
						    XmNtopPosition, 0,
						    XmNbottomAttachment, XmATTACH_POSITION,
						    XmNbottomPosition, 10,
						    NULL,0);
  XmStringFree(LabelString);

  DisplayYearlyView_Separator = XtVaCreateManagedWidget("DisplayYearlyView_Separator",
							xmSeparatorWidgetClass,
							DisplayYearlyView_Form,
							XmNleftAttachment, XmATTACH_FORM,
							XmNrightAttachment, XmATTACH_FORM,
							XmNtopAttachment, XmATTACH_POSITION,
							XmNtopPosition, 10,
							XmNbottomAttachment, XmATTACH_POSITION,
							XmNbottomPosition, 15,
							NULL,0);

  DisplayYearlyView_DA = XtVaCreateManagedWidget("DisplayYearlyView_DA",
						 xmDrawingAreaWidgetClass, 
						 DisplayYearlyView_Form,
						 XmNleftAttachment, XmATTACH_FORM,
						 XmNleftOffset, 10,
						 XmNrightAttachment, XmATTACH_FORM,
						 XmNrightOffset, 10,
						 XmNtopAttachment, XmATTACH_POSITION,
						 XmNtopPosition, 15,
						 XmNbottomAttachment, XmATTACH_POSITION,
						 XmNbottomPosition, 85,
						 NULL,0);
  
  DisplayYearlyView_Separator = XtVaCreateManagedWidget("DisplayYearlyView_Separator",
							xmSeparatorWidgetClass,
							DisplayYearlyView_Form,
							XmNleftAttachment, XmATTACH_FORM,
							XmNrightAttachment, XmATTACH_FORM,
							XmNtopAttachment, XmATTACH_POSITION,
							XmNtopPosition, 85,
							XmNbottomAttachment, XmATTACH_POSITION,
							XmNbottomPosition, 90,
							NULL,0);
  
  LabelString = XmStringCreate("Close", XmSTRING_DEFAULT_CHARSET),
  DisplayYearlyViewClose_Button = XtVaCreateManagedWidget("DisplayYearlyViewClose_Button",
							  xmPushButtonWidgetClass,
							  DisplayYearlyView_Form,
							  XmNlabelString, LabelString,
							  XmNtopAttachment, XmATTACH_WIDGET, 
							  XmNbottomAttachment, XmATTACH_FORM,
							  XmNbottomOffset, 10,
							  XmNleftAttachment, XmATTACH_POSITION,
							  XmNleftPosition,45,
							  XmNtopAttachment, XmATTACH_POSITION,
							  XmNtopPosition, 90,
							  XmNbottomAttachment, XmATTACH_POSITION,
							  XmNbottomPosition, 100,
							  NULL,0);
  XmStringFree(LabelString);
  XtAddCallback(DisplayYearlyViewClose_Button, XmNactivateCallback, 
                (XtCallbackProc) DisplayYearlyView_Close, DisplayYearlyView_Popup );
  
  XtRealizeWidget(DisplayYearlyView_Popup);
  DrawYearCalendar();
}
